Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


blackwingcat

KernelEx for Win2000

Recommended Posts

Posted (edited)

That only happens if the site detects a 2000/XP user agent. Vista or above, it will bring you to a flashier page with references to Chromium 70 and an installer for v10.

Thus, v10 is officially for Vista and up.

I got it to install in win2k but needed chrome_elf.dll. I tried the one from advanced chrome 74 (54 didn't work) but had too many missing API functions in kernel32.dll and a few missing one-core DLLs.

Edited by win32

Share this post


Link to post
Share on other sites

16 hours ago, win32 said:

That only happens if the site detects a 2000/XP user agent. Vista or above, it will bring you to a flashier page with references to Chromium 70 and an installer for v10.

Thus, v10 is officially for Vista and up.

I got it to install in win2k but needed chrome_elf.dll. I tried the one from advanced chrome 74 (54 didn't work) but had too many missing API functions in kernel32.dll and a few missing one-core DLLs.

I see. :) Racism/classism on OS used to access a web page.

But I am not sure to understand your further report, does it work on Win2K (adding chrome_elf.dll) or it does it not? :unsure: 

 

jaclaz

Share this post


Link to post
Share on other sites

To clarify, chrome_elf.dll had too many missing dependencies so it didn't work.

Share this post


Link to post
Share on other sites
2 minutes ago, win32 said:

To clarify, chrome_elf.dll had too many missing dependencies so it didn't work.

Yep, but It still doesn't clarify enough (of course IMHO).

User Aspire89 posted (somehow) that it (the browser) worked, but maybe not the extensions but the Chrome 54 and not the 74, or something like that:

https://msfn.org/board/topic/149233-kernelex-for-win2000/?do=findComment&comment=1167056

the user is not writing directly in English so some info may have been lost in translation.

You posted seemingly that the 54 extensions don't work and also the 74 ones don't, but the browser itself (let alone the etensions) is confirmed being working or not? :unsure:

jaclaz

Share this post


Link to post
Share on other sites

Nope, the chrome_elf.dll is needed for QQ Browser 10 to launch.

v9.7 works as shown by @Aspire89 and @blackwingcat but I'm concerned that extensions (like uBlock Origin) won't work like in 360 Extreme Explorer and Advanced Chrome (the latter I've haven't personally tested, relying on the reports of others).

I'll test it soon.

Share this post


Link to post
Share on other sites
On 7/6/2019 at 3:23 PM, Aspire89 said:

No, according to the author of the retrosystemsrevival, this new browser

Screenshot_1.png

When you install it with XP mode , I think it install as if it were QQ Browser 9.7

Plz Check Version :3

Share this post


Link to post
Share on other sites
Posted (edited)

Yes, if the web installer for v10 detects XP, it starts the 9.7 (Chromium 53) setup.

Only when identifying itself as Vista did it try to install v10 (Chromium 70).

So that site is wrong.

 

Edited by win32

Share this post


Link to post
Share on other sites

It's going to be very difficult. Last I checked, even the kernel wrappers for Server 2003 couldn't even run it (but only a couple of functions were missing).

Someone could do a fork built for XP (extended win2k) but I think the current browser developers are busy enough as it is.

  • Like 1

Share this post


Link to post
Share on other sites

Well, have you unzipped the core folder in the setup file and opened firefox.exe?

Share this post


Link to post
Share on other sites

I did manage to install it. The missing dependencies come up when trying to run the installed application.

Share this post


Link to post
Share on other sites
On 7/6/2019 at 9:38 PM, win32 said:

54 didn't work

Advanced v. 54 works fine on my Win2k laptop. But Extreme browser 360 won't work properly, it craches after 3-5 sec. after start. I don't know why.

Share this post


Link to post
Share on other sites
12 hours ago, Andreasmir said:

Advanced v. 54 works fine on my Win2k laptop. But Extreme browser 360 won't work properly, it craches after 3-5 sec. after start. I don't know why.

Did you set XP compatible mode ? :3

  • Like 1

Share this post


Link to post
Share on other sites
18 hours ago, blackwingcat said:

Did you set XP compatible mode ? :3

Yes. XP SP3 mode. Just like Advanced Chrome 54, that works fine. But I need 360 for using it with Discord (Chrome 49\54 on Discord site only shows blank white page).

Share this post


Link to post
Share on other sites
Posted (edited)
3 hours ago, Andreasmir said:

Yes. XP SP3 mode. Just like Advanced Chrome 54, that works fine. But I need 360 for using it with Discord (Chrome 49\54 on Discord site only shows blank white page). 

https://browser.taokaizen.com/forum/viewtopic.php?f=5&t=2701

Cause of Discord only shows blank  is here.

How about changing Extended kernel install options or 360 portable version ?

 

 

Edited by blackwingcat

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...